security:
    access_denied_url: /admin/login
    # config/packages/security.yaml
    enable_authenticator_manager: true
        # ...

    encoders:
        App\Entity\User:
            algorithm: auto
        App\Entity\Client:
            algorithm: auto


    # https://symfony.com/doc/current/security.html#where-do-users-come-from-user-providers
    providers:
        # used to reload user from session & other features (e.g. switch_user)
        app_user_provider:
            entity:
                class: App\Entity\User
                property: email

        # used to reload user from session & other features (e.g. switch_user)
    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        main:
            pattern: ^/
           # user_checker: App\Security\UserChecker
            lazy: true
            provider: app_user_provider
            guard:
                authenticators:
                    #- App\Security\UserAuthenticator
                    - App\Security\AdminAuthenticator
                entry_point: App\Security\UserAuthenticator
            logout:
                path: admin.app_logout
                # where to redirect after logout
                # target: app_any_route





            # activate different ways to authenticate
            # https://symfony.com/doc/current/security.html#firewalls-authentication

            # https://symfony.com/doc/current/security/impersonating_user.html
            # switch_user: true

    # Easy way to control access for large sections of your site
    # Note: Only the *first* access control that matches will be used
    access_control:
        # require ROLE_ADMIN for /admin*
        - { path: '^/admin/dashboard', roles: [ROLE_ADMIN,ROLE_USER] }
        - { path: '^/admin/users', roles: ROLE_ADMIN }
        - { path: '^/admin/levels', roles: ROLE_ADMIN }
        - { path: '^/admin/groups', roles: ROLE_ADMIN }
        - { path: '^/admin/courses', roles: [ROLE_ADMIN,ROLE_USER] }
        - { path: '^/admin/etapes', roles: [ROLE_ADMIN,ROLE_USER] }
        - { path: '^/admin/etapes', roles: [ROLE_ADMIN,ROLE_USER] }
        - { path: '^/admin/qcms', roles: [ROLE_ADMIN,ROLE_USER] }
        - { path: '^/admin/libraries', roles: [ROLE_ADMIN,ROLE_USER] }
        - { path: '^/admin/etudiants', roles: [ROLE_ADMIN,ROLE_USER] }


